<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2013 osCommerce

  Released under the GNU General Public License
*/

	define('TABLE_DHL_BOXES','inxpress_dhl');
	if(!defined('FILENAME_INXPRESS_DIM_WEIGHT')) {
		define('FILENAME_INXPRESS_DIM_WEIGHT', 'dimweight.php');
	}
	if(!defined('FILENAME_INXPRESS_DHL_BOX')) {
		define('FILENAME_INXPRESS_DHL_BOX', 'dhlboxes.php');
	}
	require('includes/application_top.php');
	
	$action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : 'default');
	
	$error = false;
	$processed = false;
	if (tep_not_null($action)) {
		switch ($action) {
			case 'delete':
				$dhl_id = tep_db_prepare_input($HTTP_GET_VARS['dID']);
				if(!$dhl_id || $dhl_id=='') {
					tep_redirect(tep_href_link(FILENAME_INXPRESS_DHL_BOX));
				}
				
				$del_query = "DELETE FROM ".TABLE_DHL_BOXES." WHERE id='".$dhl_id."'";
				tep_db_query($del_query);
				tep_redirect(tep_href_link(FILENAME_INXPRESS_DHL_BOX));
				
			case 'new':
			break;
			case 'newsave':
				$dhlboxes_supplies = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_supplies']);
				$dhlboxes_length = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_length']);
				$dhlboxes_width = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_width']);
				$dhlboxes_height = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_height']);
				
				if (strlen($dhlboxes_supplies) < 1) {
				  $error = true;
				  $entry_boxname_error = true;
				} else {
				  $entry_boxname_error = false;
				}
				
				if (strlen($dhlboxes_length) < 1 || $dhlboxes_length<=0) {
				  $error = true;
				  $entry_length_error = true;
				} else {
				  $entry_length_error = false;
				}
				
				if (strlen($dhlboxes_width) < 1 || $dhlboxes_width<=0) {
				  $error = true;
				  $entry_width_error = true;
				} else {
				  $entry_width_error = false;
				}
				
				if (strlen($dhlboxes_height) < 1 || $dhlboxes_height<=0) {
				  $error = true;
				  $entry_height_error = true;
				} else {
				  $entry_height_error = false;
				}
				
				 if ($error == false) {
				 
				 	 $sql_data_array = array('supplies' => $dhlboxes_supplies,
                                'length' => $dhlboxes_length,
                                'width' => $dhlboxes_width,
                                'height' => $dhlboxes_height);
								
					tep_db_perform(TABLE_DHL_BOXES, $sql_data_array, 'insert');

					tep_redirect(tep_href_link(FILENAME_INXPRESS_DHL_BOX));
		
				} else if ($error == true) {
					$dInfo = new objectInfo($HTTP_POST_VARS);
					$processed = true;
				}
			break;
			case 'update':
				$dhl_id = tep_db_prepare_input($HTTP_GET_VARS['dID']);
				$dhlboxes_supplies = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_supplies']);
				$dhlboxes_length = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_length']);
				$dhlboxes_width = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_width']);
				$dhlboxes_height = tep_db_prepare_input($HTTP_POST_VARS['dhlboxes_height']);
				
				if (strlen($dhlboxes_supplies) < 1) {
				  $error = true;
				  $entry_boxname_error = true;
				} else {
				  $entry_boxname_error = false;
				}
				
				if (strlen($dhlboxes_length) < 1 || $dhlboxes_length<=0) {
				  $error = true;
				  $entry_length_error = true;
				} else {
				  $entry_length_error = false;
				}
				
				if (strlen($dhlboxes_width) < 1 || $dhlboxes_width<=0) {
				  $error = true;
				  $entry_width_error = true;
				} else {
				  $entry_width_error = false;
				}
				
				if (strlen($dhlboxes_height) < 1 || $dhlboxes_height<=0) {
				  $error = true;
				  $entry_height_error = true;
				} else {
				  $entry_height_error = false;
				}
				
				 if ($error == false) {
				 
				 	 $sql_data_array = array('supplies' => $dhlboxes_supplies,
                                'length' => $dhlboxes_length,
                                'width' => $dhlboxes_width,
                                'height' => $dhlboxes_height);
								
					tep_db_perform(TABLE_DHL_BOXES, $sql_data_array, 'update', "id = '" . (int)$dhl_id . "'");

					tep_redirect(tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID', 'action')) . 'dID=' . $dhl_id));
		
				} else if ($error == true) {
					$dInfo = new objectInfo($HTTP_POST_VARS);
					$processed = true;
				}
			break;
			case 'deleteconfirm':
	
			break;
	
			default:
				if(isset($HTTP_GET_VARS['dID']) && (int)$HTTP_GET_VARS['dID']>0) {
					$dhlboxes_query = tep_db_query("select * from " . TABLE_DHL_BOXES . " WHERE id='".(int)$HTTP_GET_VARS['dID']."'");
				} else {
					$dhlboxes_query = tep_db_query("select * from " . TABLE_DHL_BOXES . "");
				}
				$dhlboxes = tep_db_fetch_array($dhlboxes_query);
				$dInfo = new objectInfo($dhlboxes);
		}
	}

  require(DIR_WS_INCLUDES . 'template_top.php');

  if ($action == 'edit' || $action == 'update' || $action=='new') {
?>
<script type="text/javascript"><!--

function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";

  var dhl_boxname = document.dhlboxes.dhlboxes_supplies.value;
  var dhl_length = document.dhlboxes.dhlboxes_length.value;
  var dhl_width = document.dhlboxes.dhlboxes_width.value;
  var dhl_height = document.dhlboxes.dhlboxes_height.value;
 
  if (dhl_boxname.length < 1) {
    error_message = error_message + "<?php echo DHL_JS_BOXNAME; ?>";
    error = 1;
  }
  
  if (dhl_length=='' || dhl_length <= 0) {
    error_message = error_message + "<?php echo DHL_JS_LENGTH; ?>";
    error = 1;
  }
  
  if (dhl_width=='' || dhl_width <= 0) {
    error_message = error_message + "<?php echo DHL_JS_WIDTH; ?>";
    error = 1;
  }
  
  if (dhl_height=='' || dhl_height <= 0) {
    error_message = error_message + "<?php echo DHL_JS_HEIGHT; ?>";
    error = 1;
  }
  if (error == 1) {
    alert(error_message);
    return false;
  } else {
    return true;
  }
}
//--></script>
<?php
  }
?>

    <table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
	if ($action == 'edit' || $action == 'update' || $action=='new' || $action=='newsave') {
		?>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading"><?php echo HEADING_DHL_TITLE; ?></td>
						<td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
		</tr>
		<tr>
			<?php if($action=='new' || $action=='newsave') { ?>
				<?php echo tep_draw_form('dhlboxes', FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('action')) . 'action=newsave', 'post', 'onsubmit="return check_form();"'); ?>
			<?php } else { ?>
				<?php echo tep_draw_form('dhlboxes', FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('action')) . 'action=update', 'post', 'onsubmit="return check_form();"') . tep_draw_hidden_field('id', $dInfo->id); ?>
			<?php } ?>
        	<td class="formAreaTitle"><?php echo CATEGORY_DHL_BOX; ?></td>
		</tr>
		<tr>
			<td class="formArea">
				<table border="0" cellspacing="2" cellpadding="2">
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DHL_BOXNAME; ?></td>
						<td class="main">
							<?php
								if ($error == true) {
									if ($entry_boxname_error == true) {
										echo tep_draw_input_field('dhlboxes_supplies', $dInfo->supplies, 'maxlength="32"') . '&nbsp;' . ENTRY_DHL_BOXNAME_ERROR;
									} else {
										echo $dInfo->supplies . tep_draw_hidden_field('dhlboxes_supplies');
									}
								} else {
									echo tep_draw_input_field('dhlboxes_supplies', $dInfo->supplies, 'maxlength="32"', true);
								}
							?>						
						</td>
					</tr>
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DHL_LENGTH; ?></td>
						<td class="main">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('dhlboxes_length', $dInfo->supplies, 'maxlength="32"') . '&nbsp;' . ENTRY_DHL_LENGTH_ERROR;
									} else {
										echo $dInfo->supplies . tep_draw_hidden_field('dhlboxes_length');
									}
								} else {
									echo tep_draw_input_field('dhlboxes_length', $dInfo->length, 'maxlength="32"', true);
								}
							?>
						</td>
					</tr>
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DHL_WIDTH; ?></td>
						<td class="main">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('dhlboxes_width', $dInfo->width, 'maxlength="32"') . '&nbsp;' . ENTRY_DHL_WIDTH_ERROR;
									} else {
										echo $dInfo->width . tep_draw_hidden_field('dhlboxes_width');
									}
								} else {
									echo tep_draw_input_field('dhlboxes_width', $dInfo->width, 'maxlength="32"', true);
								}
							?>
						</td>
					</tr>
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DHL_HEIGHT; ?></td>
						<td class="main">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('dhlboxes_height', $dInfo->height, 'maxlength="32"') . '&nbsp;' . ENTRY_DHL_HEIGHT_ERROR;
									} else {
										echo $dInfo->height . tep_draw_hidden_field('dhlboxes_height');
									}
								} else {
									echo tep_draw_input_field('dhlboxes_height', $dInfo->height, 'maxlength="32"', true);
								}
							?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
        	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
		</tr>
		<tr>
			<td align="right" class="smallText"><?php echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('action')))); ?></td>
		</tr>
		</form>
		<?php
	} else {
?>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading"><?php echo HEADING_DHL_TITLE; ?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td valign="top">
							<table border="0" width="100%" cellspacing="0" cellpadding="2">
								<tr class="dataTableHeadingRow">
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_ID; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_BOXNAME; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_LENGTH; ?></td>
									<td class="dataTableHeadingContent" ><?php echo TABLE_HEADING_DHL_WIDTH; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_HEIGHT; ?></td>
									<td class="dataTableHeadingContent"></td>
								</tr>
<?php

	$dhlboxes_query_raw = "select * from " . TABLE_DHL_BOXES . "";
	$dhlboxes_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $dhlboxes_query_raw, $dhlboxes_query_numrows);
    $dhlboxes_query = tep_db_query($dhlboxes_query_raw);
	while($dhlbox = tep_db_fetch_array($dhlboxes_query)) {
	   
      if (isset($dInfo) && is_object($dInfo) && ($dhlbox['id'] == $dInfo->id)) {
        echo '          <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID', 'action')) . 'dID=' . $dInfo->id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '          <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID')) . 'dID=' . $dhlbox['id']) . '\'">' . "\n";
      }
?>
                <td class="dataTableContent"><?php echo $dhlbox['id']; ?></td>
				<td class="dataTableContent"><?php echo $dhlbox['supplies']; ?></td>
                <td class="dataTableContent"><?php echo $dhlbox['length']; ?></td>
				<td class="dataTableContent"><?php echo $dhlbox['width']; ?></td>
				<td class="dataTableContent"><?php echo $dhlbox['height']; ?></td>
                <td class="dataTableContent" align="right"><?php if (isset($dInfo) && is_object($dInfo) && ($dhlbox['id'] == $dInfo->id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID')) . 'dID=' . $dhlbox['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    }
?>
				<tr>
					<td colspan="5">
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td class="smallText" valign="top"><?php echo $dhlboxes_split->display_count($dhlboxes_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_CUSTOMERS); ?></td>
								<td class="smallText" align="right">
									<?php echo $dhlboxes_split->display_links($dhlboxes_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page'], tep_get_all_get_params(array('page', 'info', 'x', 'y', 'cID'))); ?>
								</td>
							</tr>
							<tr>
								<td class="smallText" valign="top"></td>
								<td class="smallText" align="right">
									<?php echo tep_draw_button(IMAGE_NEW_DHLBOX, 'plus', tep_href_link(FILENAME_INXPRESS_DHL_BOX, 'action=new')); ?>
								</td>
							</tr>
						</table>
					</td>
				</tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
   
    default:
	  if (isset($dInfo) && is_object($dInfo)) {
        $heading[] = array('text' => '<strong>' . CATEGORY_DHL_BOX.' :- '.$dInfo->supplies . ' ' . '</strong>');

        $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID', 'action')) . 'dID=' . $dInfo->id . '&action=edit')) . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link(FILENAME_INXPRESS_DHL_BOX, tep_get_all_get_params(array('dID', 'action')) . 'dID=' . $dInfo->id . '&action=delete')));
		$contents[] = array('text' => '<br />' . TABLE_HEADING_DHL_LENGTH . ' ' . $dInfo->length);
		$contents[] = array('text' => '<br />' . TABLE_HEADING_DHL_WIDTH . ' ' . $dInfo->width);
		$contents[] = array('text' => '<br />' . TABLE_HEADING_DHL_HEIGHT . ' ' . $dInfo->height);
		
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
