<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2013 osCommerce

  Released under the GNU General Public License
*/

	if(!defined('TABLE_DIM_WEIGHT')) {
		define('TABLE_DIM_WEIGHT','inxpress_variant');
	}
	if(!defined('TABLE_DHL_BOXES')) {
		define('TABLE_DHL_BOXES','inxpress_dhl');
	}
	if(!defined('FILENAME_INXPRESS_DIM_WEIGHT')) {
		define('FILENAME_INXPRESS_DIM_WEIGHT', 'dimweight.php');
	}
	if(!defined('FILENAME_INXPRESS_DHL_BOX')) {
		define('FILENAME_INXPRESS_DHL_BOX', 'dhlboxes.php');
	}
	require('includes/application_top.php');
	
	$action = (isset($HTTP_GET_VARS['action']) ? $HTTP_GET_VARS['action'] : 'default');
	
	$error = false;
	$import_msg_err = '';
	$processed = false;
	if (tep_not_null($action)) {
		switch ($action) {
			case 'import':
			break;
			case 'importsave':
				$file = $_FILES['dimimport'];
				$count=0;
				$lbh_check=0;
				$success=0;
				$import_msg_err = '';
				$import_l_b_h_error = FALSE;
				$import_l_b_h = array();
				$import_p_error = FALSE;
				$import_p = array();
				$indexes = array();
				if($file['error']==1) {
					$error = true;
					$import_msg_err = 'Please upload correct csv file.';
				}
				$filenameData = explode('.',$file['name']);
				$ext = end($filenameData);
				if($ext!='csv'){
					$error = true;
					$import_msg_err = 'The file is not of csv format.';
				}
				
				if(!$error) {
					$handle = fopen($file["tmp_name"], "r");
					$data = fgetcsv($handle, 4000, ",");
					$indexes=array();
					foreach($data as $key=>$val)
					{
						$indexes[$val]=$key;
					}
					if(!isset($indexes['length'])||!isset($indexes['width'])||!isset($indexes['height'])||!isset($indexes['product_id']))
					{
						$error = true;
						$import_msg_err = 'Please check length, width and height columns are in your csv file.';
					}
				}
				if(!$error) {
					$rows = 0;
					while(($data = fgetcsv($handle, 4000, ",")) !== FALSE)
					{	
						$rows++;
						$data1=array();
						foreach($indexes as $key=>$index )
						{
							$data1[$key]=$data[$index];
						}
						if(trim($data1['length'])==''||trim($data1['width'])==''||trim($data1['height'])=='')
						{
							$lbh_check++;
							$import_l_b_h_error = TRUE;
							$import_l_b_h[] = $rows;
							continue;
						}
						
						$product_query = tep_db_query('SELECT * FROM '.TABLE_PRODUCTS.' WHERE products_id="'.tep_db_prepare_input($data1['product_id']).'" LIMIT 1');
						$product = tep_db_fetch_array($product_query);
						if($product && isset($product['products_id']))
						{
							$dim_weight_product_id = (int)$data1['product_id'];
							$dim_weight_length = (int)$data1['length'];
							$dim_weight_width = (int)$data1['width'];
							$dim_weight_height = (int)$data1['height'];
							$dim_weight_variable = isset($data1['variable'])?(int)$data1['variable']:'';
							$dim_weight_weight = ceil((((float)$dim_weight_height)*((float)$dim_weight_width)*((float)$dim_weight_length))/139);
							
							$variant_query = tep_db_query('SELECT id FROM '.TABLE_DIM_WEIGHT.' WHERE product_id="'.tep_db_prepare_input($data1['product_id']).'" LIMIT 1');
							$variant = tep_db_fetch_array($variant_query);
							$sql_data_array = array('product_id' => $dim_weight_product_id,
                                'length' => $dim_weight_length,
                                'width' => $dim_weight_width,
                                'height' => $dim_weight_height,
								'dim_weight' => $dim_weight_weight,
								'variable' => $dim_weight_variable,
								);
																
					
							if($variant && isset($variant['id'])) {
								$dim_weight_id = $variant['id'];
								tep_db_perform(TABLE_DIM_WEIGHT, $sql_data_array, 'update', "id = '" . (int)$dim_weight_id . "'");
							} else {
								tep_db_perform(TABLE_DIM_WEIGHT, $sql_data_array, 'insert');
							}
							$success++;
						}
						else
						{
							$count++;
							$import_p_error = TRUE;
							$import_p[] = $rows;
						}
					}	
				}
				
				if(!$error && !$import_l_b_h_error && !$import_p_error) {
					tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT));
				}				
			break;
			case 'delete':
				$dim_weight_id = tep_db_prepare_input($HTTP_GET_VARS['vID']);
				if(!$dim_weight_id || $dim_weight_id=='') {
					tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT));
				}
				
				$del_query = "DELETE FROM ".TABLE_DIM_WEIGHT." WHERE id='".$dim_weight_id."'";
				tep_db_query($del_query);
				tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT));
				break;
				
			case 'new':
				$dim_weight_product_id = tep_db_prepare_input($HTTP_GET_VARS['pID']);
				$dInfo = new stdClass;
				
				
				$dimweight_query = tep_db_query("select dimw.*, pd.products_name from " . TABLE_DIM_WEIGHT . " as dimw INNER JOIN ". TABLE_PRODUCTS_DESCRIPTION ." as pd ON dimw.product_id=pd.products_id WHERE dimw.product_id='".(int)$dim_weight_product_id."' LIMIT 1");
				$dimweight = tep_db_fetch_array($dimweight_query);
				if(!$dimweight) {
					$product_query = tep_db_query("select products_name from ". TABLE_PRODUCTS_DESCRIPTION ." WHERE products_id='".$dim_weight_product_id."'");
					$product = tep_db_fetch_array($product_query);
					if(!$product || !$product['products_name']) {
						tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT));
					}
					$dInfo->products_name = $product['products_name'];
					$dInfo->pID = $product_id;
					$dInfo->length = '';
					$dInfo->width = '';
					$dInfo->height = '';
					$dInfo->dim_weight = '';
					$dInfo->variable = '';									

				} else {
					$dInfo->products_name = $dimweight['products_name'];
					$dInfo->id = $dimweight['id'];
					$dInfo->pID = $dimweight['product_id'];
					$dInfo->length = $dimweight['length'];
					$dInfo->width = $dimweight['width'];
					$dInfo->height = $dimweight['height'];
					$dInfo->dim_weight = $dimweight['dim_weight'];
					$dInfo->variable = $dimweight['variable'];
				}
			break;
			case 'newsave':				
				$dim_weight_product_id = tep_db_prepare_input($HTTP_POST_VARS['pID']);
				$dim_weight_length = tep_db_prepare_input($HTTP_POST_VARS['length']);
				$dim_weight_width = tep_db_prepare_input($HTTP_POST_VARS['width']);
				$dim_weight_height = tep_db_prepare_input($HTTP_POST_VARS['height']);
				$dim_weight_weight = tep_db_prepare_input($HTTP_POST_VARS['dim_weight']);
				$dim_weight_variable = tep_db_prepare_input($HTTP_POST_VARS['variable']);
				
				if($dim_weight_product_id=='' || $dim_weight_product_id==0) {
					$error = true;
					$entry_productId_error = true;
				} else {
					$entry_productId_error = false;
				}
				
				if (strlen($dim_weight_length) < 1 || $dim_weight_length<=0) {
				  $error = true;
				  $entry_length_error = true;
				} else {
				  $entry_length_error = false;
				}
				
				if (strlen($dim_weight_width) < 1 || $dim_weight_width<=0) {
				  $error = true;
				  $entry_width_error = true;
				} else {
				  $entry_width_error = false;
				}
				
				if (strlen($dim_weight_height) < 1 || $dim_weight_height<=0) {
				  $error = true;
				  $entry_height_error = true;
				} else {
				  $entry_height_error = false;
				}
				
				 if ($error == false) {
				 
				 	 $sql_data_array = array('product_id' => $dim_weight_product_id,
                                'length' => $dim_weight_length,
                                'width' => $dim_weight_width,
                                'height' => $dim_weight_height,
								'dim_weight' => $dim_weight_weight,
								'variable' => $dim_weight_variable,
								);
								
					tep_db_perform(TABLE_DIM_WEIGHT, $sql_data_array, 'insert');

					tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT));
		
				} else if ($error == true) {
					$dInfo = new objectInfo($HTTP_POST_VARS);
					$processed = true;
				}
				break;
			case 'update':
				$dim_weight_id = tep_db_prepare_input($HTTP_POST_VARS['vID']);
				$dim_weight_product_id = tep_db_prepare_input($HTTP_POST_VARS['pID']);
				$dim_weight_length = tep_db_prepare_input($HTTP_POST_VARS['length']);
				$dim_weight_width = tep_db_prepare_input($HTTP_POST_VARS['width']);
				$dim_weight_height = tep_db_prepare_input($HTTP_POST_VARS['height']);
				$dim_weight_weight = tep_db_prepare_input($HTTP_POST_VARS['dim_weight']);
				$dim_weight_variable = tep_db_prepare_input($HTTP_POST_VARS['variable']);
								
				if($dim_weight_product_id=='' || $dim_weight_product_id==0) {
					$error = true;
					$entry_productId_error = true;
				} else {
					$entry_productId_error = false;
				}
				
				if (strlen($dim_weight_length) < 1 || $dim_weight_length<=0) {
				  $error = true;
				  $entry_length_error = true;
				} else {
				  $entry_length_error = false;
				}
				
				if (strlen($dim_weight_width) < 1 || $dim_weight_width<=0) {
				  $error = true;
				  $entry_width_error = true;
				} else {
				  $entry_width_error = false;
				}
				
				if (strlen($dim_weight_height) < 1 || $dim_weight_height<=0) {
				  $error = true;
				  $entry_height_error = true;
				} else {
				  $entry_height_error = false;
				}
				 if ($error == false) {
				 
				 	$sql_data_array = array('product_id' => $dim_weight_product_id,
                                'length' => $dim_weight_length,
                                'width' => $dim_weight_width,
                                'height' => $dim_weight_height,
								'dim_weight' => $dim_weight_weight,
								'variable' => $dim_weight_variable,
								);
																
					tep_db_perform(TABLE_DIM_WEIGHT, $sql_data_array, 'update', "id = '" . (int)$dim_weight_id . "'");

					tep_redirect(tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID', 'action')) . 'vID=' . (int)$dim_weight_id));
		
				} else if ($error == true) {
					$dInfo = new objectInfo($HTTP_POST_VARS);
					$dInfo->product_id = $dInfo->pID;
					$processed = true;
				}
			break;
			case 'deleteconfirm':
	
			break;
	
			default:
				if(isset($HTTP_GET_VARS['vID']) && (int)$HTTP_GET_VARS['vID']>0) {
					$dimweight_query = tep_db_query("select dimw.*, pd.products_name from " . TABLE_DIM_WEIGHT . " as dimw INNER JOIN ". TABLE_PRODUCTS_DESCRIPTION ." as pd ON dimw.product_id=pd.products_id WHERE dimw.id='".(int)$HTTP_GET_VARS['vID']."'");
				} else {
					$dimweight_query = tep_db_query("select dimw.*, pd.products_name from " . TABLE_DIM_WEIGHT . " as dimw INNER JOIN ". TABLE_PRODUCTS_DESCRIPTION ." as pd ON dimw.product_id=pd.products_id");
				}
				$dimweights = tep_db_fetch_array($dimweight_query);
				$dInfo = new stdClass;
				if($dimweights) {
					$dInfo = new objectInfo($dimweights);
					$dInfo->pID = $dInfo->product_id;
				}
		}
	}

  require(DIR_WS_INCLUDES . 'template_top.php');
?>
	<style type="text/css">
		.error {
			color: #FF0000;
		}
	</style>
<?php
  if ($action == 'edit' || $action == 'update' || $action=='new') {
?>

<script type="text/javascript"><!--


function check_form() {
  var error = 0;
  var error_message = "<?php echo JS_ERROR; ?>";

  var dim_weight_length = document.dimweight.length.value;
  var dim_weight_width = document.dimweight.width.value;
  var dim_weight_height = document.dimweight.height.value;
  
  if (dim_weight_length=='' || dim_weight_length <= 0) {
    error_message = error_message + "<?php echo DIM_WEIGHT_JS_LENGTH; ?>";
    error = 1;
  }
  
  if (dim_weight_width=='' || dim_weight_width <= 0) {
    error_message = error_message + "<?php echo DIM_WEIGHT_JS_WIDTH; ?>";
    error = 1;
  }
  
  if (dim_weight_height=='' || dim_weight_height <= 0) {
    error_message = error_message + "<?php echo DIM_WEIGHT_JS_HEIGHT; ?>";
    error = 1;
  }
  if (error == 1) {
    alert(error_message);
    return false;
  } else {
    return true;
  }
}

jQuery('document').ready(function()
{
	jQuery('.tdvariants a').click(function(){
		jQuery(this).hide();
		jQuery(this).parent().find('input[type=text]').attr('value',jQuery(this).text());
		jQuery(this).parent().find('input[type=text]').css('display','block');
	});
	jQuery('.tdvariants input').blur(function(){
		updateValues();
	});
});		

function updateValues()
{
	length = jQuery('#length').val();
	length = length==''?0:length;
	length=parseFloat(length);
	
	width=jQuery('#width').val();
	width = width==''?0:width;
	width=parseFloat(width);
	
	height = jQuery('#height').val();
	height = height==''?0:height;
	height=parseFloat(height);
	
	dim_weight=Math.ceil((length*width*height)/139);
	jQuery('#dim_weight').val(dim_weight);
}
function selectvariant(id)
{
	length=parseFloat(jQuery('#length_'+id).html());
	width=parseFloat(jQuery('#width_'+id).html());
	height=parseFloat(jQuery('#height_'+id).html());
	jQuery('#length').val(length);
	jQuery('#width').val(width);
	jQuery('#height').val(height);
	dim_weight=Math.ceil((length*width*height)/139);
	jQuery('#dim_weight').val(dim_weight);
}

//--></script>
<?php } else if($action=='import' || $action=='importsave') { ?>
	<script type="text/javascript">
		function check_form_import() {
		  var error = 0;
		  var error_message = "<?php echo JS_ERROR; ?>";
		  var dim_weight_file = document.dimweightimport.dimimport.value;
		  if (dim_weight_file=='') {
			error_message = error_message + "<?php echo DIM_WEIGHT_IMPORT_FILE; ?>";
			error = 1;
		  }
		  if (error == 1) {
			alert(error_message);
			return false;
		  } else {
			return true;
		  }
		}
	</script>
<?php } ?>

    <table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
	if($action == 'import' || $action == 'importsave') { ?>
		
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading"><?php echo HEADING_DIM_WEIGHT_IMPORT_TITLE; ?></td>
						<td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
		</tr>
		<tr>
			<?php echo tep_draw_form('dimweightimport', FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')) . 'action=importsave', 'post', 'onsubmit="return check_form_import();" enctype="multipart/form-data"') ?>
        	<td class="formAreaTitle"><?php echo CATEGORY_DIM_WEIGHT; ?></td>
		</tr>
		
		<?php if($error && $import_msg_err!='') { ?>
			<tr>
				<td>
					<span class="error"><?php echo $import_msg_err; ?></span>
				</td>
			</tr>
		<?php } ?>
		
		<?php if($import_l_b_h_error && count($import_l_b_h)>0) { ?>
			<tr>
				<td>
					<span class="error"><?php echo IMPORT_ERROR_ROWS.' '.implode(',',$import_l_b_h); ?></span>
				</td>
			</tr>
		<?php } ?>
		
		<?php if($import_p_error && count($import_p)>0) { ?>
			<tr>
				<td>
					<span class="error"><?php echo IMPORT_ERROR_PRODUCTS.' '.implode(',',$import_p); ?></span>
				</td>
			</tr>
		<?php } ?>
		
		<tr>
			<td class="formArea">
				<table border="0" cellspacing="2" cellpadding="2" width="100%">
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_IMPORT_TITLE; ?></td>
						<td class="main">
							<?php
								if ($error == true) {
									echo tep_draw_file_field('dimimport', true) . '&nbsp;' . ENTRY_DIM_WEIGHT_IMPORT_ERROR;
								} else {
									echo tep_draw_file_field('dimimport', true);
								}
							?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table border="0" cellspacing="2" cellpadding="2" width="100%">
					<tr>
						<td align="left">
						<?php echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')))); ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		</form>
	<?php }	elseif ($action == 'edit' || $action == 'update' || $action=='new' || $action=='newsave') {
		?>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading"><?php echo HEADING_DIM_WEIGHT_TITLE; ?></td>
						<td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
		</tr>
		<tr>
			<?php if(($action=='new' || $action=='newsave') && (!isset($dInfo->id))) { ?>
				<?php echo tep_draw_form('dimweight', FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')) . 'action=newsave', 'post', 'onsubmit="return check_form();"') . tep_draw_hidden_field('pID', $dInfo->pID); ?>
			<?php } else { ?>
				<?php echo tep_draw_form('dimweight', FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')) . 'action=update', 'post', 'onsubmit="return check_form();"') . tep_draw_hidden_field('vID', $dInfo->id) . tep_draw_hidden_field('pID', $dInfo->pID); ?>
			<?php } ?>
        	<td class="formAreaTitle"><?php echo CATEGORY_DIM_WEIGHT; ?></td>
		</tr>
		<tr>
			<td class="formArea">
				<table border="0" cellspacing="2" cellpadding="2">
					<tr>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_VARIANT; ?></td>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_LENGTH; ?></td>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_WIDTH; ?></td>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_HEIGHT; ?></td>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_WEIGHT; ?></td>
						<td class="main"><?php echo TABLE_HEADING_DIM_WEIGHT_VARIABLE; ?></td>
						<td></td>
						<td></td>						
					</tr>
					<tr>
						<td class="main"><?php echo $dInfo->products_name; ?></td>
						<td class="main tdvariants">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('length', $dInfo->length, 'maxlength="32" id="length"') . '&nbsp;' . ENTRY_DIM_WEIGHT_LENGTH_ERROR;
									} else {
										echo $dInfo->length . tep_draw_hidden_field('length');
									}
								} else {
									echo tep_draw_input_field('length', $dInfo->length, 'maxlength="32" id="length"', false);
								}
							?>
						</td>
						<td class="main tdvariants">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('width', $dInfo->width, 'maxlength="32" id="width"') . '&nbsp;' . ENTRY_DIM_WEIGHT_WIDTH_ERROR;
									} else {
										echo $dInfo->width . tep_draw_hidden_field('width');
									}
								} else {
									echo tep_draw_input_field('width', $dInfo->width, 'maxlength="32" id="width"', false);
								}
							?>
						</td>
						<td class="main tdvariants">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('height', $dInfo->height, 'maxlength="32" id="height"') . '&nbsp;' . ENTRY_DIM_WEIGHT_HEIGHT_ERROR;
									} else {
										echo $dInfo->height . tep_draw_hidden_field('height');
									}
								} else {
									echo tep_draw_input_field('height', $dInfo->height, 'maxlength="32" id="height"', false);
								}
							?>
						</td>
						<td class="main tdvariants">
							<?php
								if ($error == true) {
									if ($entry_length_error == true) {
										echo tep_draw_input_field('dim_weight', $dInfo->dim_weight, 'maxlength="32" id="dim_weight" readonly="readonly"') . '&nbsp;' . ENTRY_DHL_LENGTH_ERROR;
									} else {
										echo $dInfo->dim_weight . tep_draw_hidden_field('dim_weight');
									}
								} else {
									echo tep_draw_input_field('dim_weight', $dInfo->dim_weight, 'maxlength="32" readonly="readonly" id="dim_weight"');
								}
							?>
						</td>
						<td class="main tdvariants">
							<?php
								echo tep_draw_input_field('variable', $dInfo->variable, 'maxlength="32"');
							?>
						</td>
						<td>
							<?php echo tep_draw_button(IMAGE_SAVE, 'disk', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')))); ?>
						</td>
					</tr>
					
					
					
				</table>
			</td>
		</tr>
		<tr>
        	<td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
		</tr>
		<tr>
			<td class="formArea">
				<table border="0" cellspacing="2" cellpadding="2" width="100%">
					<tr class="dataTableHeadingRow">
						<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_BOXNAME; ?></td>
						<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_LENGTH; ?></td>
						<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_WIDTH; ?></td>
						<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DHL_HEIGHT; ?></td>
						<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_ACTION; ?></td>
					</tr>
					<?php $dhlboxes_query = tep_db_query("select * from " . TABLE_DHL_BOXES . "");
					while($dhlbox = tep_db_fetch_array($dhlboxes_query)) { ?>
						<tr>
							<td class="dataTableContent" id="supplies_<?php echo $dhlbox['id']; ?>"><?php echo $dhlbox['supplies']; ?></td>
							<td class="dataTableContent" id="length_<?php echo $dhlbox['id']; ?>"><?php echo $dhlbox['length']; ?></td>
							<td class="dataTableContent" id="width_<?php echo $dhlbox['id']; ?>"><?php echo $dhlbox['width']; ?></td>
							<td class="dataTableContent" id="height_<?php echo $dhlbox['id']; ?>"><?php echo $dhlbox['height']; ?></td>
							<td><?php echo tep_draw_button(IMAGE_DHL_UPDATE, '', 'javascript:;', 'primary',array('type'=>'button','params'=> 'onClick = "selectvariant('.$dhlbox['id'].')"')); ?></td>						
						</tr>
					<?php }	?>
					
				</table>
			</td>
		</tr>
		
		</form>
		<?php
	} else {
?>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td class="pageHeading"><?php echo HEADING_DIM_WEIGHT_TITLE; ?></td>
						<td class="" align="right"><?php echo  tep_draw_button(IMAGE_DIM_WEIGHT_IMPORT_CSV, '', tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('action')) . 'action=import')); ?></td>
					</tr>
					
				</table>
			</td>
		</tr>
		<tr>
			<td>
				<table border="0" width="100%" cellspacing="0" cellpadding="0">
					<tr>
						<td valign="top">
							<table border="0" width="100%" cellspacing="0" cellpadding="2">
								<tr class="dataTableHeadingRow">
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_ID; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_PRODUCT_ID; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_PRODUCT_NAME; ?></td>
									<td class="dataTableHeadingContent" ><?php echo TABLE_HEADING_DIM_WEIGHT_LENGTH; ?></td>
									<td class="dataTableHeadingContent" ><?php echo TABLE_HEADING_DIM_WEIGHT_WIDTH; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_HEIGHT; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_WEIGHT; ?></td>
									<td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIM_WEIGHT_VARIABLE; ?></td>
									<td class="dataTableHeadingContent"></td>
								</tr>
<?php

	$dimweights_query_raw = "select dimw.*, pd.products_name from " . TABLE_DIM_WEIGHT . " as dimw INNER JOIN ". TABLE_PRODUCTS_DESCRIPTION ." as pd ON dimw.product_id=pd.products_id";
	$dimweights_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $dimweights_query_raw, $dimweights_query_numrows);
    $dimweights_query = tep_db_query($dimweights_query_raw);
	if($dimweights_query_numrows>0) {
		while($dimweight = tep_db_fetch_array($dimweights_query)) {
		  if (isset($dInfo) && is_object($dInfo) && ($dimweight['id'] == $dInfo->id)) {
			echo '          <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID', 'action')) . 'vID=' . $dInfo->id . '&action=edit') . '\'">' . "\n";
		  } else {
			echo '          <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID')) . 'vID=' . $dimweight['id']) . '\'">' . "\n";
		  }
	?>
					<td class="dataTableContent"><?php echo $dimweight['id']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['product_id']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['products_name']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['length']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['width']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['height']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['dim_weight']; ?></td>
					<td class="dataTableContent"><?php echo $dimweight['variable']; ?></td>
					<td class="dataTableContent" align="right"><?php if (isset($dInfo) && is_object($dInfo) && ($dimweight['id'] == $dInfo->id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID')) . 'vID=' . $dimweight['id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
				  </tr>
	<?php
		}
	}
?>
				<tr>
					<td colspan="5">
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td class="smallText" valign="top"><?php echo $dimweights_split->display_count($dimweights_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
								<td class="smallText" align="right">
									<?php echo $dimweights_split->display_links($dimweights_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page'], tep_get_all_get_params(array('page', 'info', 'x', 'y', 'cID'))); ?>
								</td>
							</tr>
							
						</table>
					</td>
				</tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
   
    default:
	  if (isset($dInfo) && is_object($dInfo)) {
        $heading[] = array('text' => '<strong>' . CATEGORY_DIM_WEIGHT.' :- '.$dInfo->products_name . ' ' . '</strong>');
		$contents = array();
        if(isset($dInfo) && is_object($dInfo) && isset($dInfo->id)) {
			$contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID', 'action')) . 'vID=' . $dInfo->id . '&action=edit')) . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link(FILENAME_INXPRESS_DIM_WEIGHT, tep_get_all_get_params(array('vID', 'action')) . 'vID=' . $dInfo->id . '&action=delete')));
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_PRODUCT_ID . ' ' . $dInfo->product_id);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_PRODUCT_NAME . ' ' . $dInfo->products_name);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_LENGTH . ' ' . $dInfo->length);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_WIDTH . ' ' . $dInfo->width);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_HEIGHT . ' ' . $dInfo->height);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_WEIGHT . ' ' . $dInfo->dim_weight);
			$contents[] = array('text' => '<br />' . TABLE_HEADING_DIM_WEIGHT_VARIABLE . ' ' . $dInfo->variable);
		}
		
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
